#include "DefaultDynamicLibrary.hpp"
#include "Trace.hpp"

namespace Danu
{
	#ifdef USE_DEFAULT_DYNAMIC_LIBRARY
	AbstractDynamicLibrary* CreateDynamicLibrary()
	{
//		FUNCTRACE_DEVELOP();
		return new DefaultDynamicLibrary;
	}	
	#endif
	
	DefaultDynamicLibrary::DefaultDynamicLibrary()
	{
		FUNCTRACE_DEVELOP();
	}
	
	DefaultDynamicLibrary::~DefaultDynamicLibrary()
	{
		FUNCTRACE_DEVELOP();
	}

	void DefaultDynamicLibrary::load()
	{
		FUNCTRACE_DEVELOP();		
	}
	
	void DefaultDynamicLibrary::unload()
	{
		FUNCTRACE_DEVELOP();
	}
}; // namespace Danu
