#include "DanuConfig.h"
#include "DefaultDynamicLibrary.hpp"
#include "Trace.hpp"

// This file must be used if the user does not supply it's own version of 
// the creation function. See CreateDynamicLibrary.cpp for more information.

namespace Danu
{
	AbstractDynamicLibrary* CreateDynamicLibrary()
	{
		FUNCTRACE_DEVELOP();
		return new DefaultDynamicLibrary;
	}
} // namespace Danu
